gi-gsk-4.0.9: Gsk bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gsk.Objects.RepeatingLinearGradientNode

Contents

- Exported types
- Methods
  - new

Description

A render node for a repeating linear gradient.

Synopsis

- newtype RepeatingLinearGradientNode = RepeatingLinearGradientNode (ManagedPtr RepeatingLinearGradientNode)
- class (BoxedPtr o, TypedObject o, IsDescendantOf RepeatingLinearGradientNode o) => IsRepeatingLinearGradientNode o
- toRepeatingLinearGradientNode :: (MonadIO m, IsRepeatingLinearGradientNode o) => o -> m RepeatingLinearGradientNode
- repeatingLinearGradientNodeNew :: (HasCallStack, MonadIO m) => Rect -> Point -> Point -> [ColorStop] -> m RepeatingLinearGradientNode

# Exported types

newtype RepeatingLinearGradientNode Source #

Memory-managed wrapper type.

Constructors

RepeatingLinearGradientNode (ManagedPtr RepeatingLinearGradientNode) |

#### Instances

Instances details

Eq RepeatingLinearGradientNode Source # |
Instance details Defined in GI.Gsk.Objects.RepeatingLinearGradientNode Methods (==) :: RepeatingLinearGradientNode -> RepeatingLinearGradientNode -> Bool Source # (/=) :: RepeatingLinearGradientNode -> RepeatingLinearGradientNode -> Bool Source #
BoxedPtr RepeatingLinearGradientNode Source # |
Instance details Defined in GI.Gsk.Objects.RepeatingLinearGradientNode Methods boxedPtrCopy :: RepeatingLinearGradientNode -> IO RepeatingLinearGradientNode Source # boxedPtrFree :: RepeatingLinearGradientNode -> IO () Source #
ManagedPtrNewtype RepeatingLinearGradientNode Source # |
Instance details Defined in GI.Gsk.Objects.RepeatingLinearGradientNode Methods toManagedPtr :: RepeatingLinearGradientNode -> ManagedPtr RepeatingLinearGradientNode Source #
TypedObject RepeatingLinearGradientNode Source # |
Instance details Defined in GI.Gsk.Objects.RepeatingLinearGradientNode Methods glibType :: IO GType Source #
HasParentTypes RepeatingLinearGradientNode Source # |
Instance details Defined in GI.Gsk.Objects.RepeatingLinearGradientNode
type ParentTypes RepeatingLinearGradientNode Source # |
Instance details Defined in GI.Gsk.Objects.RepeatingLinearGradientNode type ParentTypes RepeatingLinearGradientNode = '[RenderNode]

class (BoxedPtr o, TypedObject o, IsDescendantOf RepeatingLinearGradientNode o) => IsRepeatingLinearGradientNode o Source #

Type class for types which can be safely cast to `RepeatingLinearGradientNode`, for instance with `toRepeatingLinearGradientNode`.

#### Instances

Instances details

(BoxedPtr o, TypedObject o, IsDescendantOf RepeatingLinearGradientNode o) => IsRepeatingLinearGradientNode o Source # |
Instance details Defined in GI.Gsk.Objects.RepeatingLinearGradientNode

toRepeatingLinearGradientNode :: (MonadIO m, IsRepeatingLinearGradientNode o) => o -> m RepeatingLinearGradientNode Source #

Cast to `RepeatingLinearGradientNode`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

draw, ref, serialize, unref, writeToFile.

#### Getters

getBounds, getChildren, getNodeType, getOpaqueRect.

#### Setters

None.

## new

repeatingLinearGradientNodeNew Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> Rect | `bounds`: the rectangle to render the linear gradient into
-> Point | `start`: the point at which the linear gradient will begin
-> Point | `end`: the point at which the linear gradient will finish
-> [ColorStop] | `colorStops`: a pointer to an array of `GskColorStop` defining the gradient. The offsets of all color stops must be increasing. The first stop's offset must be >= 0 and the last stop's offset must be <= 1.
-> m RepeatingLinearGradientNode | Returns: A new `GskRenderNode`

Creates a `GskRenderNode` that will create a repeating linear gradient from the given points and color stops, and render that into the area given by `bounds`.